%define languageenglazy Catalan
%define languagecode    ca
%define lc_ctype        ca_ES

Name:           hunspell-%{languagecode}
Version:        2.2.0
Release:        %mkrel 9
Summary:        %{languageenglazy} hunspell dictionaries
License:        GPLv2+
Group:          System/Internationalization
URL:            http://www.softcatala.org/wiki/Projectes/Corrector_ortogràfic
Source0:        http://www.softcatala.org/diccionaris/actualitzacions/OOo/catalan.oxt

BuildArch:      noarch

Suggests:       hunspell

Requires:       locales-ca
#Mageia values: 1 - aspell, 2 - hunspell, 3 - language specific
Provides:       enchant-dictionary = 2
Provides:       hunspell-dictionary
Provides:       hunspell-%{lc_ctype} = %{version}-%{release}
Provides:       hunspell-ca_AD = %{version}-%{release}
Provides:       hunspell-ca_FR = %{version}-%{release}
Provides:       hunspell-ca_IT = %{version}-%{release}
#Generic providing - see Mageia values
Provides:       dictionary-%{languagecode} = 2 
Provides:       dictionary-%{lc_ctype} = 2
Provides:       dictionary-ca_AD = 2
Provides:       dictionary-ca_FR = 2
Provides:       dictionary-ca_IT = 2

#MySpell is deprecated
Obsoletes:      myspell-%{languagecode} <= 1.0.3
Provides:       myspell-%{languagecode}
Obsoletes:      myspell-%{lc_ctype} <= 1.0.3
Provides:       myspell-%{lc_ctype}

AutoReqProv:    no

%description
%{languageenglazy} hunspell dictionaries.


%prep
%setup -q -c

%build
tr -d '\r' < dictionaries/catalan.aff > ca_ES.aff
touch -r dictionaries/catalan.aff ca_ES.aff
tr -d '\r' < dictionaries/catalan.dic > ca_ES.dic
touch -r dictionaries/catalan.dic ca_ES.dic

chmod 0644 LICENSES-en.txt LLICENCIES-ca.txt

%install
install -D -m 0644 -p *.dic %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.dic
install -D -m 0644 -p *.aff %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.aff

#backward compatibility
mkdir -p %{buildroot}%{_datadir}/myspell
pushd %{buildroot}%{_datadir}/myspell
    ln -s ../hunspell/%{lc_ctype}.dic %{lc_ctype}.dic
    ln -s ../hunspell/%{lc_ctype}.aff %{lc_ctype}.aff
popd #%%{buildroot}%%{_datadir}/myspell

%files
%doc LICENSES-en.txt LLICENCIES-ca.txt
%{_datadir}/hunspell/*
%{_datadir}/myspell/*


%changelog
* Fri Oct 18 2013 umeabot <umeabot> 2.2.0-9.mga4
+ Revision: 505627
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 2.2.0-8.mga3
+ Revision: 353403
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 02 2012 kamil <kamil> 2.2.0-7.mga3
+ Revision: 325175
- stop producing language aliases

* Tue Mar 20 2012 kamil <kamil> 2.2.0-6.mga2
+ Revision: 224579
- add requirement on locales (mga#4632)

* Sun Feb 12 2012 kamil <kamil> 2.2.0-5.mga2
+ Revision: 207661
- use better obsoleting of myspell

* Mon Jan 16 2012 kamil <kamil> 2.2.0-4.mga2
+ Revision: 196830
- adapt .spec to the current policies

  + lmenut <lmenut>
    - fix permissions of world-writable files

* Sat Mar 12 2011 dmorgan <dmorgan> 2.2.0-2.mga1
+ Revision: 68689
- imported package hunspell-ca


* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Feb 15 2010 Caolán McNamara <caolanm@redhat.com> - 2.2.0-1
- latest version

* Thu Oct 08 2009 Caolan McNamara <caolanm@redhat.com> - 2.1.5-1
- latest version

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20090630-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Jul 01 2009 Caolan McNamara <caolanm@redhat.com> - 0.20090630-1
- latest version

* Wed Mar 11 2009 Caolan McNamara <caolanm@redhat.com> - 0.20090311-1
- latest version

* Tue Mar 10 2009 Caolan McNamara <caolanm@redhat.com> - 0.20090309-1
- latest version

* Tue Mar 03 2009 Caolan McNamara <caolanm@redhat.com> - 0.20090302-1
- latest version

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20081027-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Oct 28 2008 Caolan McNamara <caolanm@redhat.com> - 0.20081027-1
- latest version

* Mon Oct 20 2008 Caolan McNamara <caolanm@redhat.com> - 0.20081019-1
- latest version

* Sun Oct 05 2008 Caolan McNamara <caolanm@redhat.com> - 0.20081005-1
- latest version

* Tue Sep 30 2008 Caolan McNamara <caolanm@redhat.com> - 0.20080918-1
- latest version

* Mon Sep 15 2008 Caolan McNamara <caolanm@redhat.com> - 0.20080915-1
- latest version

* Tue Jul 08 2008 Caolan McNamara <caolanm@redhat.com> - 0.20080706-2
- Catalan is spoken in Andora, France and Italy as well

* Mon Jul 07 2008 Caolan McNamara <caolanm@redhat.com> - 0.20080706-1
- latest version

* Wed Jul 02 2008 Caolan McNamara <caolanm@redhat.com> - 0.20080620-1
- latest version

* Fri Aug 03 2007 Caolan McNamara <caolanm@redhat.com> - 0.20060508-2
- clarify license version

* Mon Jul 09 2007 Caolan McNamara <caolanm@redhat.com> - 0.20060508-1
- latest version

* Thu Dec 07 2006 Caolan McNamara <caolanm@redhat.com> - 0.20021015-1
- initial version
